Namespace
library
Image / Tag
consul:1.7.5
Content Digest
sha256:974195228a3f48789053b4de1052fd7b938a73d37ec067452073db2f31dfa4dc
Details
Created

2020-07-31 17:38:54 UTC

Size

40.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.5

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0625b4155e2a59f647ece47c0cd77ed3196b1f84454fa64ce80cad90e2b9b79e - 6.61% (2.66 MB)

[#001] sha256:4fde0bccade9e9fa56f42a8e764aa4c2b08c56d85777a7b252ccc224919415ee - 0.0% (1.2 KB)

[#002] sha256:f2a5fe301507d08374c125e827b1c8d31ec0ef88816286fd3a8ff6708166934f - 93.39% (37.6 MB)

[#003] sha256:79aa3c2b0263bb4e0056563908c6eb22fcf172596977c37db1224b01277909d0 - 0.0% (141 Bytes)

[#004] sha256:374477c9f66b6c69d709eb88f646f5ab1a9b5adb3700577f416e069429dec80c - 0.0% (154 Bytes)

[#005] sha256:7d9a7a2ce8d3f6a65d77a62e9228c64bced408ab044de88e64eb043f483362c9 - 0.0% (1.67 KB)


History
2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) ADD file:5624441d97aca5eeb82a582941efc3586397098b8391227a9040ebe434cc1d6b in /

2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:38:31 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-07-31 17:38:45 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.5

2020-07-31 17:38:45 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-07-31 17:38:46 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-07-31 17:38:51 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-07-31 17:38:52 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-07-31 17:38:53 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-07-31 17:38:53 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-07-31 17:38:53 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-07-31 17:38:53 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-07-31 17:38:53 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-07-31 17:38:54 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-07-31 17:38:54 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-07-31 17:38:54 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-07-31 18:22:23 UTC

Size

41.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.5

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df20fa9351a15782c64e6dddb2d4a6f50bf6d3688060a34c4014b0d9a752eb4c - 6.44% (2.67 MB)

[#001] sha256:423e0a9e281e88f774cfbfa2ce7624d9a630e2b40e931fe0f554758e441a488f - 0.0% (1.2 KB)

[#002] sha256:be861351ed7cb3a876cace7f9fb0e9ee5ae8363f98c418c0a4539960d6956daa - 93.56% (38.8 MB)

[#003] sha256:0ca6a3fe0d3cd03789ac9f98de3f91d6d994a56dcacc80da1683be74a4142d7d - 0.0% (142 Bytes)

[#004] sha256:a8a0731915b4dddab77ba67051bb33267129ae6519267ba08a754cd64fe9d07c - 0.0% (154 Bytes)

[#005] sha256:3eea61a9a84126ebaa7ebe0f943862774547d9f4f21f26d812152b60b43df973 - 0.0% (1.67 KB)


History
2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) ADD file:c92c248239f8c7b9b3c067650954815f391b7bcb09023f984972c082ace2a8d0 in /

2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 18:22:03 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-07-31 18:22:15 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.5

2020-07-31 18:22:15 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-07-31 18:22:16 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-07-31 18:22:20 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-07-31 18:22:21 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-07-31 18:22:22 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-07-31 18:22:22 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-07-31 18:22:22 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-07-31 18:22:22 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-07-31 18:22:23 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-07-31 18:22:23 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-07-31 18:22:23 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-07-31 18:22:23 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-07-31 17:50:25 UTC

Size

37.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.5

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b4b72e716706d29f5d2351709c20bf737b94f876a5472a43ff1b6e203c65d27f - 6.65% (2.48 MB)

[#001] sha256:7d48fe862a70fcd8ffc7f4f308571d7dd97aa5c6c0e9c5aca53339e28ff2b636 - 0.0% (1.23 KB)

[#002] sha256:2b1748148a878cff411e25df6de741b5eddfb1a639d4b240dda9a7211ecb689e - 93.34% (34.9 MB)

[#003] sha256:2a7ef7a1b2e154f040524b61d62bc5c1b76c2c06d61ef7100844957ba0c4c128 - 0.0% (175 Bytes)

[#004] sha256:95ae31ccf32c20c8a6c0a504b045e5ebf3bf3bbadf37161e7e10f462d99887ec - 0.0% (154 Bytes)

[#005] sha256:f2ddfb092bdd961e3ab932bc974851b3854a807b5a77c6535a90d9b44204fb88 - 0.0% (1.67 KB)


History
2020-05-29 21:50:55 UTC

/bin/sh -c #(nop) ADD file:f46e997a56849423db17e5fc9f0249ab6c73b155245927dba5fcb9dfd65f622f in /

2020-05-29 21:50:56 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:49:28 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-07-31 17:50:03 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.5

2020-07-31 17:50:04 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-07-31 17:50:06 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-07-31 17:50:17 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-07-31 17:50:19 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-07-31 17:50:21 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-07-31 17:50:22 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-07-31 17:50:22 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-07-31 17:50:23 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-07-31 17:50:24 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-07-31 17:50:24 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-07-31 17:50:25 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-07-31 17:50:25 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-07-31 17:43:08 UTC

Size

37.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.5

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b538f80385f9b48122e3da068c932a96ea5018afa3c7be79da00437414bd18cd - 6.87% (2.58 MB)

[#001] sha256:e636f6d6e717e7e1071947603be177ca2ed25a81f259dcc2812111653701af5c - 0.0% (1.23 KB)

[#002] sha256:3c4d552730bae025cf262a6f48812bb0b1e3d176c8680a48771adeb79dd06998 - 93.12% (35 MB)

[#003] sha256:72ca3b099b122c2a9af551af5c0e0aed3125998ed6dba8df0a77ae3aea143006 - 0.0% (174 Bytes)

[#004] sha256:149be8b177253429ddd6154e45333b83e5375870e3f8adaba97e10c11f8ec3fc - 0.0% (154 Bytes)

[#005] sha256:78f26b0288efa75c7cd9c48a16cd4da2bca900ba465f52c344dcd75e403b10d5 - 0.0% (1.67 KB)


History
2020-05-29 21:43:19 UTC

/bin/sh -c #(nop) ADD file:7574aee4e37a85460ab889212d52912723a9b30dda1c060548f0deb4a05fc398 in /

2020-05-29 21:43:20 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:42:27 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-07-31 17:42:51 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.5

2020-07-31 17:42:51 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-07-31 17:42:53 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-07-31 17:42:59 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-07-31 17:43:01 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-07-31 17:43:03 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-07-31 17:43:04 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-07-31 17:43:04 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-07-31 17:43:05 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-07-31 17:43:06 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-07-31 17:43:06 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-07-31 17:43:07 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-07-31 17:43:08 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]